Module java.base
Package java.security.cert

## Class CertPath.CertPathRep

- java.lang.Object
- - java.security.cert.CertPath.CertPathRep

All Implemented Interfaces:
  Serializable

Enclosing class:
  CertPath

    protected static class CertPath.CertPathRep
    extends Object
    implements Serializable

Alternate `CertPath` class for serialization.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `CertPathRep(String type, byte[] data)` Creates a `CertPathRep` with the specified type and encoded form of a certification path.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `readResolve()` Returns a `CertPath` constructed from the type and data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CertPathRep

    protected CertPathRep(String type,
                          byte[] data)

Creates a `CertPathRep` with the specified type and encoded form of a certification path.

Parameters:
  `type` - the standard name of a `CertPath` type
  `data` - the encoded form of the certification path

### Method Detail

#### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

Returns a `CertPath` constructed from the type and data.

Returns:
  the resolved `CertPath` object
Throws:
  `ObjectStreamException` - if a `CertPath` could not be constructed